<?php

/**
 * @file
 * Contains vc_event.page.inc.
 *
 * Page callback for VC Event entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for VC Event templates.
 *
 * Default template: vc_event.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_vc_event(array &$variables) {
  // Fetch VCEvent Entity Object.
  $vc_event = $variables['elements']['#vc_event'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
